• Advertisement
Sign in to follow this  

Failed to start!

This topic is 1537 days old which is more than the 365 day threshold we allow for new replies. Please post a new topic.

If you intended to correct an error in the post then please contact us.

Recommended Posts

Hi,

   I am using code::block and angelscript 2.27.1. Just now I tried to compile my app with the new release 2.28 and found the script is not creating the engine.

engine = asCreateScriptEngine(ANGELSCRIPT_VERSION);
if( engine == 0 )
{
    printf("Failed to create script engine.\n");
    return -1;
}

It is returning -1 here.

 

It is working fine with 2.27.

 

Thanks.

Edited by HeExists

Share this post


Link to post
Share on other sites
Advertisement

Make sure you recompile everything (both library and your application) after upgrading the library.

 

Basically the only reason asCreateScriptEngine() would fail is because the application is passing the the wrong version number, which usually happens if the project was only partially recompiled after the upgrade, or if the application and the library isn't using the same physical angelscript.h file.

 

Regards,

Andreas

Share this post


Link to post
Share on other sites
Sign in to follow this  

  • Advertisement